summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author Erik Hanson2013-07-18 17:20:33 +0200
committer Erik Hanson2013-07-18 17:20:33 +0200
commit88acaa6be7f8d6bc3f783bc4042d071884f647b1 (patch)
tree5bb13d8a3fba295219d8a7fe420ae7823a92ca77 /ham
parent779b63a38c1be11c08a47679f84070cd1115685a (diff)
downloadslackbuilds-88acaa6be7f8d6bc3f783bc4042d071884f647b1.tar.gz
ham/cwstation: Moved from audio to ham.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/cwstation/README3
-rw-r--r--ham/cwstation/cwstation.SlackBuild97
-rw-r--r--ham/cwstation/cwstation.info10
-rw-r--r--ham/cwstation/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/ham/cwstation/README b/ham/cwstation/README
new file mode 100644
index 0000000000..c81a72237e
--- /dev/null
+++ b/ham/cwstation/README
@@ -0,0 +1,3 @@
+Cwstation is a gtk based, CW (morse) generator with macro and
+training capabilities. It uses pulse shaping to control bandwith
+and has setting for Farnsworth method.
diff --git a/ham/cwstation/cwstation.SlackBuild b/ham/cwstation/cwstation.SlackBuild
new file mode 100644
index 0000000000..be54003c31
--- /dev/null
+++ b/ham/cwstation/cwstation.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for cwstation
+
+# Written by G. Schoenmakers <gschoen@iinet.net.au>
+
+PRGNAM=cwstation
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+AUTOMAKE=/usr/share/automake-1.11
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+# Delete links to /usr/share/automake-1.8
+rm COPYING
+rm INSTALL
+rm depcomp
+rm install-sh
+rm missing
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Create links to /usr/share/automake-1.11
+ln -s $AUTOMAKE/COPYING COPYING
+ln -s $AUTOMAKE/INSTALL INSTALL
+ln -s $AUTOMAKE/depcomp depcomp
+ln -s $AUTOMAKE/install-sh install-sh
+ln -s $AUTOMAKE/missing missing
+
+# The Makefile expects "mkinstalldirs" to be in the application source directory
+# A simple link to /bin/mkdir suffices.
+ln -s /bin/mkdir mkinstalldirs
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+
+make LDFLAGS="-lm"
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/cwstation/cwstation.info b/ham/cwstation/cwstation.info
new file mode 100644
index 0000000000..b7c631486b
--- /dev/null
+++ b/ham/cwstation/cwstation.info
@@ -0,0 +1,10 @@
+PRGNAM="cwstation"
+VERSION="0.1"
+HOMEPAGE="http://cwstation.sourceforge.net/"
+DOWNLOAD="http://waix.dl.sourceforge.net/project/cwstation/cwstation/cwstation%200.1/cwstation-0.1.tar.gz"
+MD5SUM="2927f01fc3b2fcf5a1ba4dcfcb9d3f69"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gregory Schoenmakers"
+EMAIL="gschoen@iinet.net.au" \ No newline at end of file
diff --git a/ham/cwstation/slack-desc b/ham/cwstation/slack-desc
new file mode 100644
index 0000000000..c4a6aa12f0
--- /dev/null
+++ b/ham/cwstation/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cwstation: cwstation (A morse code trainer)
+cwstation:
+cwstation: Cwstation is a gtk based, CW (morse) generator with macro and
+cwstation: training capabilities. It uses pulse shaping to control bandwith
+cwstation: and has setting for Farnsworth method.
+cwstation:
+cwstation:
+cwstation:
+cwstation:
+cwstation: cwstation home page: http://cwstation.sourceforge.net/
+cwstation: